Index: /main/waeup.kofa/branches/henrik-regista/setup.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/setup.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/setup.py	(revision 11954)
@@ -90,5 +90,5 @@
       long_description = long_description,
 
-      keywords = "portal waeup ikoba institution application registration grok zope",
+      keywords = "portal waeup ikoba company application registration grok zope",
       # Get strings from http://pypi.python.org/pypi?%3Aaction=list_classifiers
       classifiers = [
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/app.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/app.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/app.py	(revision 11954)
@@ -25,5 +25,5 @@
 from waeup.ikoba.mandates.container import MandatesContainer
 from waeup.ikoba.interfaces import (
-    IInstitution, IIkobaPluggable, IObjectUpgradeEvent, IJobManager,
+    ICompany, IIkobaPluggable, IObjectUpgradeEvent, IJobManager,
     VIRT_JOBS_CONTAINER_NAME)
 from waeup.ikoba.userscontainer import UsersContainer
@@ -32,8 +32,8 @@
 from waeup.ikoba.configuration import ConfigurationContainer
 
-class Institution(grok.Application, grok.Container, Logger):
-    """A institution.
+class Company(grok.Application, grok.Container, Logger):
+    """A company.
     """
-    grok.implements(IInstitution)
+    grok.implements(ICompany)
 
     # Setup authentication for this app. Note: this is only
@@ -44,5 +44,5 @@
 
     def __init__(self, *args, **kw):
-        super(Institution, self).__init__(*args, **kw)
+        super(Company, self).__init__(*args, **kw)
         self.setup()
         return
@@ -85,5 +85,5 @@
         self.logger.info('Plugin update finished.')
         return
-attrs_to_fields(Institution)
+attrs_to_fields(Company)
 
 class ObjectUpgradeEvent(ObjectEvent):
@@ -92,8 +92,8 @@
     grok.implements(IObjectUpgradeEvent)
 
-@grok.subscribe(Institution, grok.IObjectAddedEvent)
-def handle_institution_added(app, event):
-    """If a institution is added, a message is logged.
+@grok.subscribe(Company, grok.IObjectAddedEvent)
+def handle_company_added(app, event):
+    """If a company is added, a message is logged.
     """
-    app.logger.info('Institution `%s` added.' % getattr(app, '__name__', None))
+    app.logger.info('Company `%s` added.' % getattr(app, '__name__', None))
     return
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/breadcrumbs.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/breadcrumbs.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/breadcrumbs.py	(revision 11954)
@@ -28,5 +28,5 @@
 from waeup.ikoba.browser.interfaces import (
     IBreadcrumb, IBreadcrumbIgnorable, IBreadcrumbContainer, IIkobaObject,
-    IInstitution, IUsersContainer, IDataCenter,
+    ICompany, IUsersContainer, IDataCenter,
     )
 from waeup.ikoba.reports import IReportsContainer
@@ -86,8 +86,8 @@
         return self.viewname
 
-class InstitutionBreadcrumb(Breadcrumb):
-    """A breadcrumb for institution index pages.
-    """
-    grok.context(IInstitution)
+class CompanyBreadcrumb(Breadcrumb):
+    """A breadcrumb for company index pages.
+    """
+    grok.context(ICompany)
     title = _(u'Home')
     parent = None
@@ -97,10 +97,10 @@
 
     Here we need a special `parent()` implementation, because the
-    parent object is not a real parent (the Institution object has no
+    parent object is not a real parent (the Company object has no
     valid parent in terms of breadcrumbs). Instead it is the
     ``administration`` view of the same context the ``manage`` page
     itself is bound to.
     """
-    grok.context(IInstitution)
+    grok.context(ICompany)
     grok.name('manage')
     title = _(u'Portal Settings')
@@ -113,7 +113,7 @@
 
 class AdministrationBreadcrumb(Breadcrumb):
-    """A breadcrumb for administration areas of Institution instances.
-    """
-    grok.context(IInstitution)
+    """A breadcrumb for administration areas of Company instances.
+    """
+    grok.context(ICompany)
     grok.name('administration')
     title = _(u'Administration')
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/captcha.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/captcha.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/captcha.py	(revision 11954)
@@ -32,5 +32,5 @@
     ICaptchaRequest, ICaptchaResponse, ICaptcha, ICaptchaConfig,
     ICaptchaManager)
-from waeup.ikoba.interfaces import IInstitution
+from waeup.ikoba.interfaces import ICompany
 
 #
@@ -322,5 +322,5 @@
     # A test page to see a captcha in action
     grok.name('captcha')
-    grok.context(IInstitution)
+    grok.context(ICompany)
     grok.require('waeup.Public')
     title = 'Captcha Test'
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/exceptions.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/exceptions.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/exceptions.py	(revision 11954)
@@ -64,5 +64,5 @@
     """A page rendered when an object cannot be found.
 
-    XXX: This page won't work for objects above a w.k.Institution.
+    XXX: This page won't work for objects above a w.k.Company.
     """
     grok.context(INotFound)
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/interfaces.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/interfaces.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/interfaces.py	(revision 11954)
@@ -21,5 +21,5 @@
 from zope.interface import Interface, Attribute
 from waeup.ikoba.interfaces import (
-    IIkobaObject, IInstitution, IUsersContainer, IDataCenter, validate_email)
+    IIkobaObject, ICompany, IUsersContainer, IDataCenter, validate_email)
 from waeup.ikoba.interfaces import MessageFactory as _
 
@@ -161,5 +161,5 @@
 
         If no `headerline` is given, a default will be rendered (name
-        of institution).
+        of company).
 
         If no `title` is given, nothing will be rendered.
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/layout.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/layout.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/layout.py	(revision 11954)
@@ -227,5 +227,5 @@
 
     def getAppTitle(self):
-        return getattr(grok.getSite()['configuration'], 'name', u'Sample Institution')
+        return getattr(grok.getSite()['configuration'], 'name', u'Sample Company')
 
     def getAppAcronym(self):
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/pages.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/pages.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/pages.py	(revision 11954)
@@ -46,5 +46,5 @@
     IkobaDisplayFormPage, NullValidator)
 from waeup.ikoba.browser.interfaces import (
-    IInstitution, ICaptchaManager, IChangePassword)
+    ICompany, ICaptchaManager, IChangePassword)
 from waeup.ikoba.browser.layout import jsaction, action, UtilityView
 from waeup.ikoba.interfaces import MessageFactory as _
@@ -325,5 +325,5 @@
 class ContactAdminForm(IkobaForm):
     grok.name('contactadmin')
-    #grok.context(IInstitution)
+    #grok.context(ICompany)
     grok.template('contactform')
     grok.require('waeup.Authenticated')
@@ -405,13 +405,13 @@
 
 #
-# Institution related pages...
+# Company related pages...
 #
 
-class InstitutionPage(IkobaDisplayFormPage):
-    """ The main institution page.
+class CompanyPage(IkobaDisplayFormPage):
+    """ The main company page.
     """
     grok.require('waeup.Public')
     grok.name('index')
-    grok.context(IInstitution)
+    grok.context(ICompany)
     pnav = 0
     label = ''
@@ -434,5 +434,5 @@
     """
     grok.name('administration')
-    grok.context(IInstitution)
+    grok.context(ICompany)
     grok.require('waeup.managePortal')
     label = _(u'Administration')
@@ -443,7 +443,7 @@
     """
     grok.name('feed.rss')
-    grok.context(IInstitution)
+    grok.context(ICompany)
     grok.require('waeup.Public')
-    grok.template('institutionrss20feed')
+    grok.template('companyrss20feed')
 
     name = 'General news feed'
@@ -457,5 +457,5 @@
     @property
     def title(self):
-        return getattr(grok.getSite(), 'name', u'Sample Institution')
+        return getattr(grok.getSite(), 'name', u'Sample Company')
 
     @property
@@ -1568,5 +1568,5 @@
     """Captcha'd page for all kind of users to request a password change.
     """
-    grok.context(IInstitution)
+    grok.context(ICompany)
     grok.name('changepw')
     grok.require('waeup.Anonymous')
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/pdf.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/pdf.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/pdf.py	(revision 11954)
@@ -710,5 +710,5 @@
             doc, 'ikoba_headtitle', getattr(
                 site_config, 'name',
-                u'Sample Institution'))
+                u'Sample Company'))
         canvas.setFont("Helvetica-Bold", 18)
         if self.header_logo_left_path is not None:
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/tests/test_async.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/tests/test_async.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/tests/test_async.py	(revision 11954)
@@ -8,5 +8,5 @@
 from zope.security.interfaces import Unauthorized
 from zope.testbrowser.testing import Browser
-from waeup.ikoba.app import Institution
+from waeup.ikoba.app import Company
 from waeup.ikoba.async import AsyncJob, get_job_id
 from waeup.ikoba.interfaces import IJobManager
@@ -29,5 +29,5 @@
         self.storage = os.path.join(self.workdir, 'storage')
         os.mkdir(self.storage)
-        app = Institution()
+        app = Company()
         app['datacenter'].setStoragePath(self.storage)
 
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/tests/test_permissions.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/tests/test_permissions.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/tests/test_permissions.py	(revision 11954)
@@ -31,5 +31,5 @@
 from zope.security.interfaces import Unauthorized
 from zope.testbrowser.testing import Browser
-from waeup.ikoba.app import Institution
+from waeup.ikoba.app import Company
 from waeup.ikoba.testing import (
     FunctionalLayer, FunctionalTestCase, get_all_loggers, remove_new_loggers,
@@ -58,6 +58,6 @@
     def setUp(self):
         super(PermissionTest, self).setUp()
-        # Set up a complete institution to have every page available...
-        app = Institution()
+        # Set up a complete company to have every page available...
+        app = Company()
         self.getRootFolder()['app'] = app
         setSite(self.getRootFolder()['app'])
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/viewlets.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/viewlets.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/browser/viewlets.py	(revision 11954)
@@ -24,8 +24,8 @@
 from zope.traversing.browser import absoluteURL
 from waeup.ikoba.browser.pages import (
-    InstitutionPage, DatacenterPage,
+    CompanyPage, DatacenterPage,
     UsersContainerPage, UserManageFormPage)
 from waeup.ikoba.browser.interfaces import (
-    IBreadcrumbContainer, IInstitution, IUsersContainer)
+    IBreadcrumbContainer, ICompany, IUsersContainer)
 from waeup.ikoba.interfaces import (
     IIkobaUtils, IIkobaObject, IIkobaXMLExporter,
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/imagestorage.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/imagestorage.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/imagestorage.py	(revision 11954)
@@ -285,5 +285,5 @@
     want to change this path -- it is dynamic. That means, if you call
     the file store from 'within' a site, the root path will be located
-    inside this site (a :class:`waeup.ikoba.Institution` instance). If
+    inside this site (a :class:`waeup.ikoba.Company` instance). If
     you call it from 'outside' a site some temporary dir (always the
     same during lifetime of the file store instance) will be used. The
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/interfaces.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/interfaces.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/interfaces.py	(revision 11954)
@@ -253,5 +253,5 @@
     EXAM_SUBJECTS_DICT = Attribute("Dict of examination subjects")
     EXAM_GRADES = Attribute("Dict of examination grades")
-    INST_TYPES_DICT = Attribute("Dict if institution types")
+    INST_TYPES_DICT = Attribute("Dict if company types")
     STUDY_MODES_DICT = Attribute("Dict of study modes")
     APP_CATS_DICT = Attribute("Dict of application categories")
@@ -288,6 +288,6 @@
     """
 
-class IInstitution(IIkobaObject):
-    """Representation of an institution.
+class ICompany(IIkobaObject):
+    """Representation of an company.
     """
 
@@ -593,11 +593,11 @@
 
     name = schema.TextLine(
-        title = _(u'Name of Institution'),
-        default = _(u'Sample Institution'),
+        title = _(u'Name of Company'),
+        default = _(u'Sample Company'),
         required = True,
         )
 
     acronym = schema.TextLine(
-        title = _(u'Abbreviated Title of Institution'),
+        title = _(u'Abbreviated Title of Company'),
         default = u'WAeUP.Ikoba',
         required = True,
@@ -796,8 +796,8 @@
     Components implementing this interface are referred to as
     'plugins'. They are normally called when a new
-    :class:`waeup.ikoba.app.Institution` instance is created.
+    :class:`waeup.ikoba.app.Company` instance is created.
 
     Plugins can setup and update parts of the central site without the
-    site object (normally a :class:`waeup.ikoba.app.Institution` object)
+    site object (normally a :class:`waeup.ikoba.app.Company` object)
     needing to know about that parts. The site simply collects all
     available plugins, calls them and the plugins care for their
@@ -852,5 +852,5 @@
     Utilities providing this interface are looked up when a Pluggable
     Authentication Utility (PAU) for any
-    :class:`waeup.ikoba.app.Institution` instance is created and put
+    :class:`waeup.ikoba.app.Company` instance is created and put
     into ZODB.
 
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/mandates/browser.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/mandates/browser.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/mandates/browser.py	(revision 11954)
@@ -20,5 +20,5 @@
 import grok
 from waeup.ikoba.browser.layout import UtilityView
-from waeup.ikoba.interfaces import IInstitution
+from waeup.ikoba.interfaces import ICompany
 from waeup.ikoba.interfaces import MessageFactory as _
 
@@ -26,5 +26,5 @@
     """View to execute mandate.
     """
-    grok.context(IInstitution)
+    grok.context(ICompany)
     grok.name('mandate')
     grok.require('waeup.Public')
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/mandates/container.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/mandates/container.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/mandates/container.py	(revision 11954)
@@ -49,5 +49,5 @@
 
 class MandatesPlugin(grok.GlobalUtility):
-    """A plugin that creates container for mandates inside a institution.
+    """A plugin that creates container for mandates inside a company.
     """
     grok.implements(IIkobaPluggable)
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/mandates/tests.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/mandates/tests.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/mandates/tests.py	(revision 11954)
@@ -27,5 +27,5 @@
 from zope.component import createObject
 from zope.component.hooks import setSite, clearSite
-from waeup.ikoba.app import Institution
+from waeup.ikoba.app import Company
 from waeup.ikoba.interfaces import IUserAccount
 from waeup.ikoba.mandates.interfaces import (
@@ -63,5 +63,5 @@
 
         # Setup a sample site for each test
-        app = Institution()
+        app = Company()
         self.dc_root = tempfile.mkdtemp()
         app['datacenter'].setStoragePath(self.dc_root)
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/payments/catalog.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/payments/catalog.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/payments/catalog.py	(revision 11954)
@@ -19,5 +19,5 @@
 """
 import grok
-from waeup.ikoba.interfaces import IInstitution
+from waeup.ikoba.interfaces import ICompany
 from waeup.ikoba.payments.interfaces import IPayment
 
@@ -25,5 +25,5 @@
     """A catalog for all payments.
     """
-    grok.site(IInstitution)
+    grok.site(ICompany)
     grok.name('payments_catalog')
     grok.context(IPayment)
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/testing.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/testing.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/testing.py	(revision 11954)
@@ -126,5 +126,5 @@
         maybe_grok, setUpZope, cleanUpZope,
         )
-      from waeup.ikoba.app import Institution
+      from waeup.ikoba.app import Company
 
       class MyTestCase(unittest.TestCase):
@@ -148,5 +148,5 @@
 
           def test_jambdata_in_site(self):
-              u = Institution()
+              u = Company()
               self.assertTrue('jambdata' in u.keys())
               return
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/tests/test_app.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/tests/test_app.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/tests/test_app.py	(revision 11954)
@@ -22,29 +22,29 @@
 from zope.component.hooks import setSite
 from zope.interface.verify import verifyClass, verifyObject
-from waeup.ikoba.app import Institution
+from waeup.ikoba.app import Company
 from waeup.ikoba.interfaces import (
-    IInstitution, IJobManager, VIRT_JOBS_CONTAINER_NAME)
+    ICompany, IJobManager, VIRT_JOBS_CONTAINER_NAME)
 from waeup.ikoba.testing import FunctionalLayer, FunctionalTestCase
 
-class InstitutionTests(FunctionalTestCase):
+class CompanyTests(FunctionalTestCase):
 
     layer = FunctionalLayer
 
     def setUp(self):
-        super(InstitutionTests, self).setUp()
+        super(CompanyTests, self).setUp()
         self.workdir = tempfile.mkdtemp()
-        self.getRootFolder()['app'] = Institution()
+        self.getRootFolder()['app'] = Company()
         self.app = self.getRootFolder()['app']
         return
 
     def tearDown(self):
-        super(InstitutionTests, self).tearDown()
+        super(CompanyTests, self).tearDown()
         shutil.rmtree(self.workdir)
         return
 
     def test_ifaces(self):
-        institution = Institution()
-        assert verifyClass(IInstitution, Institution)
-        assert verifyObject(IInstitution, institution)
+        company = Company()
+        assert verifyClass(ICompany, Company)
+        assert verifyObject(ICompany, company)
         return
 
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/tests/test_imagestorage.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/tests/test_imagestorage.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/tests/test_imagestorage.py	(revision 11954)
@@ -27,5 +27,5 @@
 from zope.component.hooks import setSite
 from zope.interface.verify import verifyClass, verifyObject
-from waeup.ikoba.app import Institution
+from waeup.ikoba.app import Company
 from waeup.ikoba.testing import FunctionalLayer, FunctionalTestCase
 from waeup.ikoba.imagestorage import (
@@ -228,5 +228,5 @@
         self.fd = open(self.samplefile, 'r')
         self.fd2 = open(self.otherfile, 'r')
-        self.getRootFolder()['app'] = Institution()
+        self.getRootFolder()['app'] = Company()
         self.app = self.getRootFolder()['app']
         self.app['datacenter'].setStoragePath(self.workdir)
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/tests/test_maintenance.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/tests/test_maintenance.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/tests/test_maintenance.py	(revision 11954)
@@ -9,5 +9,5 @@
 from zope.component.hooks import setSite
 from zope.interface import Interface, implements
-from waeup.ikoba.app import Institution
+from waeup.ikoba.app import Company
 from waeup.ikoba.maintenance import update_catalog
 from waeup.ikoba.testing import FunctionalTestCase, FunctionalLayer
@@ -41,5 +41,5 @@
         super(UpdateCatalogTests, self).setUp()
         # Setup a sample site for each test
-        app = Institution()
+        app = Company()
         self.dc_root = tempfile.mkdtemp()
         app['datacenter'].setStoragePath(self.dc_root)
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/tests/test_objecthistory.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/tests/test_objecthistory.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/tests/test_objecthistory.py	(revision 11954)
@@ -25,5 +25,5 @@
 from zope.security.management import newInteraction, endInteraction
 from zope.security.testing import Principal, Participation
-from waeup.ikoba.app import Institution
+from waeup.ikoba.app import Company
 from waeup.ikoba.interfaces import IObjectHistory, IIkobaObject
 from waeup.ikoba.testing import FunctionalTestCase, FunctionalLayer
@@ -43,5 +43,5 @@
 
         # Prepopulate ZODB
-        app = Institution()
+        app = Company()
         self.dc_root = tempfile.mkdtemp()
         app['datacenter'].setStoragePath(self.dc_root)
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/tests/test_smtp.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/tests/test_smtp.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/tests/test_smtp.py	(revision 11954)
@@ -27,5 +27,5 @@
 from zope.component.hooks import setSite
 from zope.sendmail.interfaces import IMailDelivery
-from waeup.ikoba.app import Institution
+from waeup.ikoba.app import Company
 from waeup.ikoba.interfaces import IMailService
 from waeup.ikoba.smtp import (
@@ -341,5 +341,5 @@
         super(ExternalMailerTests, self).setUp()
         # Setup a sample site for each test
-        app = Institution()
+        app = Company()
         self.dc_root = tempfile.mkdtemp()
         app['datacenter'].setStoragePath(self.dc_root)
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/userscontainer.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/userscontainer.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/userscontainer.py	(revision 11954)
@@ -92,5 +92,5 @@
                     obj= object
                     path = ''
-                    while obj.__class__.__name__ != 'Institution':
+                    while obj.__class__.__name__ != 'Company':
                         path = '%s/' % obj.__name__ + path
                         obj = obj.__parent__
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/utils/browser.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/utils/browser.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/utils/browser.py	(revision 11954)
@@ -25,5 +25,5 @@
 from waeup.ikoba.interfaces import IObjectHistory
 
-from waeup.ikoba.interfaces import IInstitution
+from waeup.ikoba.interfaces import ICompany
 
 class ReindexPage(UtilityView, grok.View):
@@ -32,5 +32,5 @@
     Reindexes a catalog. For managers only.
     """
-    grok.context(IInstitution)
+    grok.context(ICompany)
     grok.name('reindex')
     grok.require('waeup.managePortal')
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/utils/logger.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/utils/logger.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/utils/logger.py	(revision 11954)
@@ -67,7 +67,7 @@
 
 The datacenter and its storage are created automatically when you
-create a :class:`waeup.ikoba.app.Institution`. This also means that
+create a :class:`waeup.ikoba.app.Company`. This also means that
 logging with the `Logger` mix-in will work only inside so-called sites
-(`Institution` instances put into ZODB are such `sites`).
+(`Company` instances put into ZODB are such `sites`).
 
 Other components in this module help to make everything work.
@@ -386,6 +386,6 @@
     return
 
-from waeup.ikoba.interfaces import IInstitution
-@grok.subscribe(IInstitution, grok.IObjectRemovedEvent)
+from waeup.ikoba.interfaces import ICompany
+@grok.subscribe(ICompany, grok.IObjectRemovedEvent)
 def handle_site_removed(obj, event):
     collector = queryUtility(ILoggerCollector)
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/utils/tests/test_batching.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/utils/tests/test_batching.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/utils/tests/test_batching.py	(revision 11954)
@@ -30,5 +30,5 @@
 from zope.component.interfaces import IFactory
 from zope.interface import Interface, implements, verify
-from waeup.ikoba.app import Institution
+from waeup.ikoba.app import Company
 from waeup.ikoba.interfaces import (
     ICSVExporter, IBatchProcessor, IExportJobContainer, IJobManager,
@@ -137,5 +137,5 @@
 
         # Setup a sample site for each test
-        app = Institution()
+        app = Company()
         self.dc_root = tempfile.mkdtemp()
         app['datacenter'].setStoragePath(self.dc_root)
@@ -597,5 +597,5 @@
     def test_active_site(self):
         # we get the datafinder if one is installed and site set
-        self.getRootFolder()['app'] = Institution()
+        self.getRootFolder()['app'] = Company()
         finder = getUtility(IExportContainerFinder)
         setSite(self.getRootFolder()['app'])
@@ -606,5 +606,5 @@
     def test_broken_site(self):
         # if the current site has no ExportContainer, we get None
-        self.getRootFolder()['app'] = Institution()
+        self.getRootFolder()['app'] = Company()
         app = self.getRootFolder()['app']
         del app['datacenter'] # datacenter _is_ the export container
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/utils/tests/test_converters.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/utils/tests/test_converters.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/utils/tests/test_converters.py	(revision 11954)
@@ -32,5 +32,5 @@
     Interface, implements, invariant, Invalid, implementedBy, verify)
 
-from waeup.ikoba.app import Institution
+from waeup.ikoba.app import Company
 from waeup.ikoba.testing import FunctionalLayer, FunctionalTestCase
 from waeup.ikoba.interfaces import (
@@ -155,5 +155,5 @@
 
         # Setup a sample site for each test
-        app = Institution()
+        app = Company()
         self.dc_root = tempfile.mkdtemp()
         app['datacenter'].setStoragePath(self.dc_root)
Index: /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/utils/tests/test_logger.py
===================================================================
--- /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/utils/tests/test_logger.py	(revision 11953)
+++ /main/waeup.kofa/branches/henrik-regista/src/waeup/ikoba/utils/tests/test_logger.py	(revision 11954)
@@ -25,5 +25,5 @@
 from zope.component.hooks import setSite, clearSite
 from zope.interface.verify import verifyClass, verifyObject
-from waeup.ikoba.app import Institution
+from waeup.ikoba.app import Company
 from waeup.ikoba.testing import FunctionalLayer, FunctionalTestCase
 
@@ -49,5 +49,5 @@
         super(LoggersTests, self).setUp()
         # Setup a sample site for each test
-        app = Institution()
+        app = Company()
         self.dc_root = tempfile.mkdtemp()
         self.dc_root2 = None
@@ -223,5 +223,5 @@
 
         # Setup a sample site for each test
-        app = Institution()
+        app = Company()
         self.dc_root = tempfile.mkdtemp()
         app['datacenter'].setStoragePath(self.dc_root)
@@ -281,5 +281,5 @@
         super(LoggerCollectorTests, self).setUp()
         # Setup a sample site for each test
-        app = Institution()
+        app = Company()
         self.dc_root = tempfile.mkdtemp()
         app['datacenter'].setStoragePath(self.dc_root)
@@ -377,5 +377,5 @@
         super(LogfileChangeTests, self).setUp()
         # Setup a sample site for each test
-        app = Institution()
+        app = Company()
         self.dc_root = tempfile.mkdtemp()
         self.dc_root_new = None
